<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="DoxyPress 1.2.10"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Accessories: D:/Mes documents/Trusty/Arduino/Libraries/Accessories/src/Port.hpp Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxypress.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by DoxyPress -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Accessories
   </div>
   <div id="projectbrief">Arduino for motors and lights library.</div>
  </td>
   <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by DoxyPress 1.2.10 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('Port_8hpp_source.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">Port.hpp</div>  </div>
  <div class="clear-floats"></div>
</div><!--header-->
<div class="contents">
<div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">//-------------------------------------------------------------------</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="preprocessor">#ifndef __port_H__</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="preprocessor">#define __port_H__</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment">//-------------------------------------------------------------------</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;</div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="preprocessor">#define DEFAULTSPEED    255</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="preprocessor">#define DEFAULTDURATION 100</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;</div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="keyword">enum</span> PIN_TYPE </div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;{ </div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;    UNDEFINED = 0,          </div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;    DIGITAL = 1,            </div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;    DIGITAL_INVERTED = 2,   </div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;    ANALOG = 11,            </div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;    ANALOG_INVERTED = 12    </div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;};</div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;</div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="keyword">enum</span> PORT_STATE </div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;{ </div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;    PORT_STOP,      </div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;    PORT_LEFT,      </div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;    PORT_RIGHT      </div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;};</div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;</div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;<span class="preprocessor">#ifdef ACCESSORIES_DEBUG_MODE</span></div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;<span class="preprocessor">#ifdef ARDUINO_ARCH_SAM</span></div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;<span class="preprocessor">#define CHECKPIN(val, type, text)       Port::CheckPinNb(val, type, text)</span></div><div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;<span class="preprocessor">#else</span></div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;<span class="preprocessor">#define CHECKPIN(val, type, text)       Port::CheckPinNb(val, type, F(text))</span></div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;<span class="preprocessor">#else</span></div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;<span class="preprocessor">#define CHECKPIN(val, type, text)</span></div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;</div><div class="line"><a name="l00061"></a><span class="lineno"><a class="line" href="classPort.html">   61</a></span>&#160;<span class="keyword">class </span><a class="code" href="classPort.html">Port</a></div><div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;{</div><div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;    <span class="keyword">protected</span>:</div><div class="line"><a name="l00065"></a><span class="lineno"><a class="line" href="classPort.html#ad7ef0d65cab5721a7e2d9b2a71663eef">   65</a></span>&#160;        PIN_TYPE <a class="code" href="classPort.html#ad7ef0d65cab5721a7e2d9b2a71663eef">pinType</a>;</div><div class="line"><a name="l00067"></a><span class="lineno"><a class="line" href="classPort.html#ad71ca654c312fdec59194e393411fce0">   67</a></span>&#160;        PORT_STATE <a class="code" href="classPort.html#ad71ca654c312fdec59194e393411fce0">state</a>;</div><div class="line"><a name="l00069"></a><span class="lineno"><a class="line" href="classPort.html#a8a53f78f0221c753527a92cb9cb0f68f">   69</a></span>&#160;        <span class="keywordtype">int</span> <a class="code" href="classPort.html#a8a53f78f0221c753527a92cb9cb0f68f">speed</a>;</div><div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;</div><div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;        <span class="keywordtype">int</span> <a class="code" href="classPort.html#a87373fe4ced21a4bcc61a0d66153f754">MapValue</a>(<span class="keywordtype">int</span> inValue, PIN_TYPE inType = UNDEFINED) <span class="keyword">const</span>;</div><div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;        <span class="keywordtype">int</span> <a class="code" href="classPort.html#ad5c7ecf52b369e61dcc1353b81532bf5">beginPin</a>(<span class="keywordtype">int</span> inPin, PIN_TYPE inType = UNDEFINED) <span class="keyword">const</span>;</div><div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;        <span class="keywordtype">void</span> <a class="code" href="classPort.html#a8d01bcb7d500d5bc3d18c7665123c942">MovePin</a>(<span class="keywordtype">int</span> inPin, <span class="keywordtype">int</span> inValue, PIN_TYPE inType = UNDEFINED) <span class="keyword">const</span>;</div><div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;</div><div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;    <span class="keyword">public</span>:</div><div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160;        <a class="code" href="classPort.html#a2cfb70a4b6d730e715042d646ec1d960">Port</a>();</div><div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;        </div><div class="line"><a name="l00099"></a><span class="lineno"><a class="line" href="classPort.html#a110847fdec661d0e94a3a22edd9fe32a">   99</a></span>&#160;        <span class="keyword">inline</span> <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="classPort.html#a110847fdec661d0e94a3a22edd9fe32a">begin</a>() {}</div><div class="line"><a name="l00105"></a><span class="lineno"><a class="line" href="classPort.html#a101241b7b8e820f3d0da3c435ad1b66e">  105</a></span>&#160;        <span class="keyword">inline</span> <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="classPort.html#a101241b7b8e820f3d0da3c435ad1b66e">beginByAccessory</a>(<span class="keywordtype">int</span> inStartingPosition) {}</div><div class="line"><a name="l00106"></a><span class="lineno">  106</span>&#160;</div><div class="line"><a name="l00110"></a><span class="lineno"><a class="line" href="classPort.html#a99e8526fed0e88d9f553767ef30860df">  110</a></span>&#160;        <span class="keyword">inline</span> PIN_TYPE <a class="code" href="classPort.html#a99e8526fed0e88d9f553767ef30860df">GetPinType</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> this-&gt;<a class="code" href="classPort.html#ad7ef0d65cab5721a7e2d9b2a71663eef">pinType</a>; }</div><div class="line"><a name="l00114"></a><span class="lineno"><a class="line" href="classPort.html#a56425e29545c1c169c7efd76e6bf411c">  114</a></span>&#160;        <span class="keyword">inline</span> PORT_STATE <a class="code" href="classPort.html#a56425e29545c1c169c7efd76e6bf411c">GetState</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> this-&gt;<a class="code" href="classPort.html#ad71ca654c312fdec59194e393411fce0">state</a>; }</div><div class="line"><a name="l00119"></a><span class="lineno"><a class="line" href="classPort.html#aed93eb0b1e3fcb88843f6c5606d55621">  119</a></span>&#160;        <span class="keyword">inline</span> <span class="keywordtype">int</span> <a class="code" href="classPort.html#aed93eb0b1e3fcb88843f6c5606d55621">GetSpeed</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> this-&gt;<a class="code" href="classPort.html#a8a53f78f0221c753527a92cb9cb0f68f">speed</a>; }</div><div class="line"><a name="l00125"></a><span class="lineno">  125</span>&#160;        <span class="keyword">virtual</span> <span class="keywordtype">int</span> <a class="code" href="classPort.html#a676359ed59bf5091126fd96e1a04cafa">SetSpeed</a>(<span class="keywordtype">int</span> inSpeed);</div><div class="line"><a name="l00126"></a><span class="lineno">  126</span>&#160;        </div><div class="line"><a name="l00130"></a><span class="lineno"><a class="line" href="classPort.html#a365a8f66d81dd6a422868b1368845e23">  130</a></span>&#160;        <span class="keyword">inline</span> <span class="keywordtype">bool</span> <a class="code" href="classPort.html#a365a8f66d81dd6a422868b1368845e23">IsLeftDir</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> this-&gt;state == PORT_LEFT; }</div><div class="line"><a name="l00134"></a><span class="lineno"><a class="line" href="classPort.html#a879a1cf8248f8c34b28f4125beb91a2d">  134</a></span>&#160;        <span class="keyword">inline</span> <span class="keywordtype">bool</span> <a class="code" href="classPort.html#a879a1cf8248f8c34b28f4125beb91a2d">IsRightDir</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> this-&gt;state == PORT_RIGHT; }</div><div class="line"><a name="l00138"></a><span class="lineno"><a class="line" href="classPort.html#a3546799f364d76e7a15415566a3b0c0d">  138</a></span>&#160;        <span class="keyword">inline</span> <span class="keywordtype">bool</span> <a class="code" href="classPort.html#a3546799f364d76e7a15415566a3b0c0d">IsStopped</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> this-&gt;state == PORT_STOP; }</div><div class="line"><a name="l00139"></a><span class="lineno">  139</span>&#160;        </div><div class="line"><a name="l00143"></a><span class="lineno"><a class="line" href="classPort.html#aef667cb477268c60f098300e139530ba">  143</a></span>&#160;        <span class="keyword">inline</span> <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="classPort.html#aef667cb477268c60f098300e139530ba">MoveLeftDir</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">long</span> inDuration = 0) { this-&gt;state = PORT_LEFT; }</div><div class="line"><a name="l00147"></a><span class="lineno"><a class="line" href="classPort.html#aab681b4f2e4bb26a31d80308a04e348f">  147</a></span>&#160;        <span class="keyword">inline</span> <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="classPort.html#aab681b4f2e4bb26a31d80308a04e348f">MoveRightDir</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">long</span> inDuration = 0) { this-&gt;state = PORT_RIGHT; }</div><div class="line"><a name="l00154"></a><span class="lineno">  154</span>&#160;        <span class="keywordtype">void</span> <a class="code" href="classPort.html#aef667cb477268c60f098300e139530ba">MoveLeftDir</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">long</span> inDuration, <span class="keywordtype">int</span> inSpeed);</div><div class="line"><a name="l00161"></a><span class="lineno">  161</span>&#160;        <span class="keywordtype">void</span> <a class="code" href="classPort.html#aab681b4f2e4bb26a31d80308a04e348f">MoveRightDir</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">long</span> inDuration, <span class="keywordtype">int</span> inSpeed);</div><div class="line"><a name="l00165"></a><span class="lineno">  165</span>&#160;        PORT_STATE <a class="code" href="classPort.html#a2372de3e7c26ba23f5977658c71888b7">MoveToggle</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">long</span> inDuration = 0);</div><div class="line"><a name="l00167"></a><span class="lineno"><a class="line" href="classPort.html#a63cfeea67bec1eab18758d74cd435c00">  167</a></span>&#160;        <span class="keyword">inline</span> <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="classPort.html#a63cfeea67bec1eab18758d74cd435c00">MoveStop</a>()  { this-&gt;state = PORT_STOP; }</div><div class="line"><a name="l00173"></a><span class="lineno"><a class="line" href="classPort.html#a960a487c2833fc23e9285a7615f41379">  173</a></span>&#160;        <span class="keyword">inline</span> <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="classPort.html#a960a487c2833fc23e9285a7615f41379">MovePosition</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">long</span> inDuration, <span class="keywordtype">int</span> inEndPosition) {}</div><div class="line"><a name="l00178"></a><span class="lineno"><a class="line" href="classPort.html#a807af3bdcf2f4bba25d4dd318601001c">  178</a></span>&#160;        <span class="keyword">inline</span> <span class="keyword">virtual</span> <span class="keywordtype">int</span> <a class="code" href="classPort.html#a807af3bdcf2f4bba25d4dd318601001c">GetPosition</a>() { <span class="keywordflow">return</span> 0; }</div><div class="line"><a name="l00179"></a><span class="lineno">  179</span>&#160;</div><div class="line"><a name="l00180"></a><span class="lineno">  180</span>&#160;<span class="preprocessor">#ifdef ACCESSORIES_DEBUG_MODE</span></div><div class="line"><a name="l00181"></a><span class="lineno">  181</span>&#160;<span class="preprocessor">#ifdef ARDUINO_ARCH_SAM</span></div><div class="line"><a name="l00182"></a><span class="lineno">  182</span>&#160;        <span class="keyword">static</span> <span class="keywordtype">void</span> CheckPinNb(<span class="keywordtype">int</span> inPin, <span class="keyword">const</span> <span class="keywordtype">char</span> *infunc);</div><div class="line"><a name="l00183"></a><span class="lineno">  183</span>&#160;        <span class="keyword">static</span> <span class="keywordtype">void</span> CheckDIOPinNb(GPIO_pin_t inPin, <span class="keyword">const</span> <span class="keywordtype">char</span> *infunc);</div><div class="line"><a name="l00184"></a><span class="lineno">  184</span>&#160;<span class="preprocessor">#else</span></div><div class="line"><a name="l00185"></a><span class="lineno">  185</span>&#160;        <span class="keyword">static</span> <span class="keywordtype">void</span> CheckPinNb(<span class="keywordtype">int</span> inPin, PIN_TYPE inType, <span class="keyword">const</span> __FlashStringHelper *infunc);</div><div class="line"><a name="l00186"></a><span class="lineno">  186</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00187"></a><span class="lineno">  187</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00188"></a><span class="lineno">  188</span>&#160;<span class="preprocessor">#ifdef ACCESSORIES_PRINT_ACCESSORIES</span></div><div class="line"><a name="l00189"></a><span class="lineno">  189</span>&#160;</div><div class="line"><a name="l00192"></a><span class="lineno">  192</span>&#160;        <span class="keyword">virtual</span> <span class="keywordtype">void</span> printPort();</div><div class="line"><a name="l00196"></a><span class="lineno">  196</span>&#160;        <span class="keyword">static</span> <span class="keywordtype">void</span> printPortPin(<span class="keywordtype">int</span> inPin, PIN_TYPE inType);</div><div class="line"><a name="l00197"></a><span class="lineno">  197</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00198"></a><span class="lineno">  198</span>&#160;};</div><div class="line"><a name="l00199"></a><span class="lineno">  199</span>&#160;</div><div class="line"><a name="l00200"></a><span class="lineno">  200</span>&#160;</div><div class="line"><a name="l00201"></a><span class="lineno">  201</span>&#160;<span class="comment">//-------------------------------------------------------------------</span></div><div class="line"><a name="l00202"></a><span class="lineno">  202</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00203"></a><span class="lineno">  203</span>&#160;<span class="comment">//-------------------------------------------------------------------</span></div><div class="ttc" id="classPort_html_a807af3bdcf2f4bba25d4dd318601001c"><div class="ttname"><a href="classPort.html#a807af3bdcf2f4bba25d4dd318601001c">Port::GetPosition</a></div><div class="ttdeci">virtual int GetPosition()</div><div class="ttdef"><b>Definition:</b> <a href="Port_8hpp_source.html#l00178">Port.hpp:178</a></div></div>
<div class="ttc" id="classPort_html_a63cfeea67bec1eab18758d74cd435c00"><div class="ttname"><a href="classPort.html#a63cfeea67bec1eab18758d74cd435c00">Port::MoveStop</a></div><div class="ttdeci">virtual void MoveStop()</div><div class="ttdef"><b>Definition:</b> <a href="Port_8hpp_source.html#l00167">Port.hpp:167</a></div></div>
<div class="ttc" id="classPort_html_a2372de3e7c26ba23f5977658c71888b7"><div class="ttname"><a href="classPort.html#a2372de3e7c26ba23f5977658c71888b7">Port::MoveToggle</a></div><div class="ttdeci">PORT_STATE MoveToggle(unsigned long inDuration = 0)</div><div class="ttdef"><b>Definition:</b> <a href="Port_8cpp_source.html#l00115">Port.cpp:115</a></div></div>
<div class="ttc" id="classPort_html_aab681b4f2e4bb26a31d80308a04e348f"><div class="ttname"><a href="classPort.html#aab681b4f2e4bb26a31d80308a04e348f">Port::MoveRightDir</a></div><div class="ttdeci">virtual void MoveRightDir(unsigned long inDuration = 0)</div><div class="ttdef"><b>Definition:</b> <a href="Port_8hpp_source.html#l00147">Port.hpp:147</a></div></div>
<div class="ttc" id="classPort_html_aef667cb477268c60f098300e139530ba"><div class="ttname"><a href="classPort.html#aef667cb477268c60f098300e139530ba">Port::MoveLeftDir</a></div><div class="ttdeci">virtual void MoveLeftDir(unsigned long inDuration = 0)</div><div class="ttdef"><b>Definition:</b> <a href="Port_8hpp_source.html#l00143">Port.hpp:143</a></div></div>
<div class="ttc" id="classPort_html_a960a487c2833fc23e9285a7615f41379"><div class="ttname"><a href="classPort.html#a960a487c2833fc23e9285a7615f41379">Port::MovePosition</a></div><div class="ttdeci">virtual void MovePosition(unsigned long inDuration, int inEndPosition)</div><div class="ttdef"><b>Definition:</b> <a href="Port_8hpp_source.html#l00173">Port.hpp:173</a></div></div>
<div class="ttc" id="classPort_html_a3546799f364d76e7a15415566a3b0c0d"><div class="ttname"><a href="classPort.html#a3546799f364d76e7a15415566a3b0c0d">Port::IsStopped</a></div><div class="ttdeci">bool IsStopped() const </div><div class="ttdef"><b>Definition:</b> <a href="Port_8hpp_source.html#l00138">Port.hpp:138</a></div></div>
<div class="ttc" id="classPort_html_a879a1cf8248f8c34b28f4125beb91a2d"><div class="ttname"><a href="classPort.html#a879a1cf8248f8c34b28f4125beb91a2d">Port::IsRightDir</a></div><div class="ttdeci">bool IsRightDir() const </div><div class="ttdef"><b>Definition:</b> <a href="Port_8hpp_source.html#l00134">Port.hpp:134</a></div></div>
<div class="ttc" id="classPort_html_a365a8f66d81dd6a422868b1368845e23"><div class="ttname"><a href="classPort.html#a365a8f66d81dd6a422868b1368845e23">Port::IsLeftDir</a></div><div class="ttdeci">bool IsLeftDir() const </div><div class="ttdef"><b>Definition:</b> <a href="Port_8hpp_source.html#l00130">Port.hpp:130</a></div></div>
<div class="ttc" id="classPort_html_a676359ed59bf5091126fd96e1a04cafa"><div class="ttname"><a href="classPort.html#a676359ed59bf5091126fd96e1a04cafa">Port::SetSpeed</a></div><div class="ttdeci">virtual int SetSpeed(int inSpeed)</div><div class="ttdef"><b>Definition:</b> <a href="Port_8cpp_source.html#l00108">Port.cpp:108</a></div></div>
<div class="ttc" id="classPort_html_aed93eb0b1e3fcb88843f6c5606d55621"><div class="ttname"><a href="classPort.html#aed93eb0b1e3fcb88843f6c5606d55621">Port::GetSpeed</a></div><div class="ttdeci">int GetSpeed() const </div><div class="ttdef"><b>Definition:</b> <a href="Port_8hpp_source.html#l00119">Port.hpp:119</a></div></div>
<div class="ttc" id="classPort_html_a56425e29545c1c169c7efd76e6bf411c"><div class="ttname"><a href="classPort.html#a56425e29545c1c169c7efd76e6bf411c">Port::GetState</a></div><div class="ttdeci">PORT_STATE GetState() const </div><div class="ttdef"><b>Definition:</b> <a href="Port_8hpp_source.html#l00114">Port.hpp:114</a></div></div>
<div class="ttc" id="classPort_html_a99e8526fed0e88d9f553767ef30860df"><div class="ttname"><a href="classPort.html#a99e8526fed0e88d9f553767ef30860df">Port::GetPinType</a></div><div class="ttdeci">PIN_TYPE GetPinType() const </div><div class="ttdef"><b>Definition:</b> <a href="Port_8hpp_source.html#l00110">Port.hpp:110</a></div></div>
<div class="ttc" id="classPort_html_a110847fdec661d0e94a3a22edd9fe32a"><div class="ttname"><a href="classPort.html#a110847fdec661d0e94a3a22edd9fe32a">Port::begin</a></div><div class="ttdeci">virtual void begin()</div><div class="ttdef"><b>Definition:</b> <a href="Port_8hpp_source.html#l00099">Port.hpp:99</a></div></div>
<div class="ttc" id="classPort_html_a2cfb70a4b6d730e715042d646ec1d960"><div class="ttname"><a href="classPort.html#a2cfb70a4b6d730e715042d646ec1d960">Port::Port</a></div><div class="ttdeci">Port()</div><div class="ttdef"><b>Definition:</b> <a href="Port_8cpp_source.html#l00049">Port.cpp:49</a></div></div>
<div class="ttc" id="classPort_html_a8d01bcb7d500d5bc3d18c7665123c942"><div class="ttname"><a href="classPort.html#a8d01bcb7d500d5bc3d18c7665123c942">Port::MovePin</a></div><div class="ttdeci">void MovePin(int inPin, int inValue, PIN_TYPE inType = UNDEFINED) const </div><div class="ttdef"><b>Definition:</b> <a href="Port_8cpp_source.html#l00092">Port.cpp:92</a></div></div>
<div class="ttc" id="classPort_html_ad5c7ecf52b369e61dcc1353b81532bf5"><div class="ttname"><a href="classPort.html#ad5c7ecf52b369e61dcc1353b81532bf5">Port::beginPin</a></div><div class="ttdeci">int beginPin(int inPin, PIN_TYPE inType = UNDEFINED) const </div><div class="ttdef"><b>Definition:</b> <a href="Port_8cpp_source.html#l00074">Port.cpp:74</a></div></div>
<div class="ttc" id="classPort_html_a101241b7b8e820f3d0da3c435ad1b66e"><div class="ttname"><a href="classPort.html#a101241b7b8e820f3d0da3c435ad1b66e">Port::beginByAccessory</a></div><div class="ttdeci">virtual void beginByAccessory(int inStartingPosition)</div><div class="ttdef"><b>Definition:</b> <a href="Port_8hpp_source.html#l00105">Port.hpp:105</a></div></div>
<div class="ttc" id="classPort_html_a87373fe4ced21a4bcc61a0d66153f754"><div class="ttname"><a href="classPort.html#a87373fe4ced21a4bcc61a0d66153f754">Port::MapValue</a></div><div class="ttdeci">int MapValue(int inValue, PIN_TYPE inType = UNDEFINED) const </div><div class="ttdef"><b>Definition:</b> <a href="Port_8cpp_source.html#l00056">Port.cpp:56</a></div></div>
<div class="ttc" id="classPort_html_a8a53f78f0221c753527a92cb9cb0f68f"><div class="ttname"><a href="classPort.html#a8a53f78f0221c753527a92cb9cb0f68f">Port::speed</a></div><div class="ttdeci">int speed</div><div class="ttdef"><b>Definition:</b> <a href="Port_8hpp_source.html#l00069">Port.hpp:69</a></div></div>
<div class="ttc" id="classPort_html_ad71ca654c312fdec59194e393411fce0"><div class="ttname"><a href="classPort.html#ad71ca654c312fdec59194e393411fce0">Port::state</a></div><div class="ttdeci">PORT_STATE state</div><div class="ttdef"><b>Definition:</b> <a href="Port_8hpp_source.html#l00067">Port.hpp:67</a></div></div>
<div class="ttc" id="classPort_html_ad7ef0d65cab5721a7e2d9b2a71663eef"><div class="ttname"><a href="classPort.html#ad7ef0d65cab5721a7e2d9b2a71663eef">Port::pinType</a></div><div class="ttdeci">PIN_TYPE pinType</div><div class="ttdef"><b>Definition:</b> <a href="Port_8hpp_source.html#l00065">Port.hpp:65</a></div></div>
<div class="ttc" id="classPort_html"><div class="ttname"><a href="classPort.html">Port</a></div><div class="ttdef"><b>Definition:</b> <a href="Port_8hpp_source.html#l00061">Port.hpp:61</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- Generated by DoxyPress 1.2.10 -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_d41d8cd98f00b204e9800998ecf8427e.html">src</a></li><li class="navelem"><b>Port.hpp</b></li>
    <li class="footer">Generated on mer. oct. 18 2017 17:44:46 for Accessories &nbsp; by
    <a href="http://www.copperspice.com/documentation-doxypress.html">
    <img class="footer" src="doxypress.png" alt="DoxyPress"/></a> 1.2.10 </li>
  </ul>
</div>
</body>
</html>
